unit FCondoReceber;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, DBTables, Grids, DBGrids, DBCtrls, Mask, ExtCtrls,
  Buttons;

type
  TCondoReceber = class(TForm)
    DBGrid1: TDBGrid;
    Table1: TTable;
    Query1: TQuery;
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    Label1: TLabel;
    Label2: TLabel;
    Table1COD: TAutoIncField;
    Table1APTO: TStringField;
    Table1DESCRIO: TStringField;
    Table1DEBITO: TFloatField;
    Table1JUROS: TFloatField;
    Table1DESCONTO: TFloatField;
    Table1DATA: TDateField;
    Table1DT_VENC: TDateField;
    Table1DT_PAG: TDateField;
    Table1MES: TStringField;
    Table1PRODUTO: TStringField;
    Table1OBS: TStringField;
    Table1TIPO: TStringField;
    Table1TITULO: TStringField;
    Table1FORNECEDOR: TStringField;
    Table1FONE_FOR: TStringField;
    Table1CREDITO: TFloatField;
    Label3: TLabel;
    Label4: TLabel;
    DBEdit3: TDBEdit;
    Label6: TLabel;
    DBEdit4: TDBEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    DBEdit8: TDBEdit;
    DBEdit9: TDBEdit;
    Label12: TLabel;
    Table2: TTable;
    DataSource3: TDataSource;
    Table3: TTable;
    DataSource4: TDataSource;
    Table4: TTable;
    DataSource5: TDataSource;
    Table1ANO: TFloatField;
    Label5: TLabel;
    Panel1: TPanel;
    Table5: TTable;
    DataSource6: TDataSource;
    Table5COD: TAutoIncField;
    Table5APTO: TStringField;
    Table5DESCRIO: TStringField;
    Table5DEBITO: TFloatField;
    Table5JUROS: TFloatField;
    Table5DESCONTO: TFloatField;
    Table5DATA: TDateField;
    Table5DT_VENC: TDateField;
    Table5DT_PAG: TDateField;
    Table5MES: TStringField;
    Table5PRODUTO: TStringField;
    Table5OBS: TStringField;
    Table5TIPO: TStringField;
    Table5TITULO: TStringField;
    Table5FORNECEDOR: TStringField;
    Table5FONE_FOR: TStringField;
    Table5CREDITO: TFloatField;
    Table5ANO: TFloatField;
    DBEdit2: TDBEdit;
    DBEdit5: TDBEdit;
    DBEdit11: TDBEdit;
    DBEdit12: TDBEdit;
    DBEdit13: TDBEdit;
    DBEdit14: TDBEdit;
    DBEdit15: TDBEdit;
    DBEdit16: TDBEdit;
    DBEdit17: TDBEdit;
    DBEdit18: TDBEdit;
    DBEdit19: TDBEdit;
    Label22: TLabel;
    BitBtn1: TBitBtn;
    Label23: TLabel;
    DBLookupComboBox1: TDBLookupComboBox;
    DBEdit1: TDBEdit;
    DBLookupComboBox2: TDBLookupComboBox;
    DBEdit6: TDBEdit;
    DBEdit10: TDBEdit;
    MaskEdit1: TMaskEdit;
    DBLookupComboBox3: TDBLookupComboBox;
    DBEdit7: TDBEdit;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn8: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure BitBtn1Click(Sender: TObject);
    procedure MaskEdit1Change(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure DBEdit6KeyPress(Sender: TObject; var Key: Char);
    procedure DBGrid1DblClick(Sender: TObject);
    procedure BitBtn8Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);



  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
CondoReceber: TCondoReceber;
S: Double;
Bio: Real;


implementation

uses FRecebeCondo, FCondoDesp, FCondominio;

{$R *.dfm}

procedure TCondoReceber.FormShow(Sender: TObject);
begin
Top := 95;
Left := 2;
Width := 796;
Height := 452;

Query1.Close;
Query1.Sql.Clear;
Query1.SQL.Add('Select COD, APTO, DESCRIO, CREDITO, MES, DT_VENC From TCondominio Where TIPO = "CREDITO" AND TITULO = "ABERTO" Order by DT_VENC');
Query1. Prepare;
Query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label1.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label1.caption);
label1.caption:= FormatFloat('#,0.00', bio);

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
Bitbtn1.Enabled:=True;


end;

procedure TCondoReceber.FormCreate(Sender: TObject);
begin
DeleteMenu(GetSystemMenu(Handle, False), SC_MOVE, MF_BYCOMMAND);
end;

procedure TCondoReceber.DBGrid1DrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
DBGrid1.Canvas.Font.Color:= clnavy;
DBGrid1.Canvas.Brush.Color:= clyellow;

DBGrid1.Canvas.FillRect(Rect);
DBGrId1.Canvas.TextOut(Rect.Left+2,Rect.Top,Column.Field.AsString);

end;

procedure TCondoReceber.BitBtn1Click(Sender: TObject);
begin
Table1.Insert;
Dblookupcombobox1.KeyValue:='99';
BitBtn1.Enabled:=False;
BitBtn2.Enabled:=False;
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=True;
Dblookupcombobox3.Enabled:=True;
Dbedit1.Enabled:=True;
Dbedit6.Enabled:=True;
Dbedit10.Enabled:=True;
Dbedit7.Enabled:=True;
Maskedit1.Enabled:=True;
Dbedit1.SetFocus;

end;

procedure TCondoReceber.MaskEdit1Change(Sender: TObject);
begin
Dbedit4.Text:=Maskedit1.Text;
end;

procedure TCondoReceber.BitBtn2Click(Sender: TObject);
begin
Table1.Insert;
Dblookupcombobox1.Enabled:=True;
Dblookupcombobox2.Enabled:=True;
Dblookupcombobox3.Enabled:=True;
Dbedit1.Enabled:=True;
Dbedit6.Enabled:=True;
Dbedit10.Enabled:=True;
Dbedit7.Enabled:=True;
Maskedit1.Enabled:=True;
Bitbtn2.Enabled:=False;
Bitbtn1.Enabled:=False;
Dblookupcombobox1.Setfocus;
Dbedit3.Text:=DateTostr(Now);
Dbedit8.Text:='CREDITO';
Dbedit9.Text:='ABERTO';

end;

procedure TCondoReceber.BitBtn3Click(Sender: TObject);
begin
if messagebox (handle,'Deseja  Gravar  Esses  Crditos','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin

if Dblookupcombobox1.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dblookupcombobox2.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

If Dblookupcombobox3.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit1.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit6.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit10.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit7.Text ='' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit4.Text ='' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if (Bitbtn1.Enabled=True) and (Bitbtn2.Enabled=True) Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dblookupcombobox2.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;


if (Dblookupcombobox1.Text = '99') and (Dblookupcombobox3.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit1.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit6.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit10.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit7.Text ='') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit4.Text ='') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if Dblookupcombobox1.Text ='99' Then
Begin
Table5.Insert;
Dbedit2.Text:='01';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='02';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='03';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='04';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='05';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='06';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;

Table5.Insert;
Dbedit2.Text:='07';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='08';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='09';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='10';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='11';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='12';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='13';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='14';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='15';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='16';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;

Table1.Cancel;


end;

Table1.Insert;
Table1.First;


Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn1.Enabled:=True;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
self.MaskEdit1.Text:='';

Query1.Close;
Query1.Sql.Clear;
Query1.SQL.Add('Select COD, APTO, DESCRIO, CREDITO, MES, DT_VENC From TCondominio Where TIPO = "CREDITO" AND TITULO = "ABERTO" Order by DT_VENC');
Query1. Prepare;
Query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label1.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label1.caption);
label1.caption:= FormatFloat('#,0.00', bio);

end

Else
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;

end;

procedure TCondoReceber.BitBtn4Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
Bitbtn1.Enabled:=True;

end;

procedure TCondoReceber.BitBtn5Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn1.Enabled:=True;
Close;

end;

procedure TCondoReceber.DBEdit6KeyPress(Sender: TObject; var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCondoReceber.DBGrid1DblClick(Sender: TObject);
begin
if messagebox (handle,'Deseja  Receber  Esse  Crditos','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin
Recebecondo.Show;
end;
end;
procedure TCondoReceber.BitBtn8Click(Sender: TObject);
begin
condominio.show;
condoreceber.close;
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn1.Enabled:=True;
end;

procedure TCondoReceber.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
table1.cancel;
table2.cancel;
table3.cancel;
table4.cancel;
table5.cancel;

end;

end.



procedure TCondoReceber.BitBtn1Click(Sender: TObject);
begin
Table1.Insert;
Dblookupcombobox1.KeyValue:='99';
BitBtn1.Enabled:=False;
BitBtn2.Enabled:=False;
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=True;
Dblookupcombobox3.Enabled:=True;
Dbedit1.Enabled:=True;
Dbedit6.Enabled:=True;
Dbedit10.Enabled:=True;
Dbedit7.Enabled:=True;
Maskedit1.Enabled:=True;
Dbedit1.SetFocus;





end;

procedure TCondoReceber.MaskEdit1Change(Sender: TObject);
begin
Dbedit4.Text:=Maskedit1.Text;
end;

procedure TCondoReceber.BitBtn2Click(Sender: TObject);
begin
Table1.Insert;
Dblookupcombobox1.Enabled:=True;
Dblookupcombobox2.Enabled:=True;
Dblookupcombobox3.Enabled:=True;
Dbedit1.Enabled:=True;
Dbedit6.Enabled:=True;
Dbedit10.Enabled:=True;
Dbedit7.Enabled:=True;
Maskedit1.Enabled:=True;
Bitbtn2.Enabled:=False;
Bitbtn1.Enabled:=False;
Dblookupcombobox1.Setfocus;
Dbedit3.Text:=DateTostr(Now);
Dbedit8.Text:='CREDITO';
Dbedit9.Text:='ABERTO';

end;

procedure TCondoReceber.BitBtn3Click(Sender: TObject);
begin
if messagebox (handle,'Deseja  Gravar  Esses  Crditos','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin

if Dblookupcombobox1.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dblookupcombobox2.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

If Dblookupcombobox3.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit1.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit6.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit10.Text = '' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit7.Text ='' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if Dbedit4.Text ='' Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if (Bitbtn1.Enabled=True) and (Bitbtn2.Enabled=True) Then
Begin
Showmessage('Operao Cancelada');
Table1.Cancel;
Table5.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dblookupcombobox2.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;


if (Dblookupcombobox1.Text = '99') and (Dblookupcombobox3.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit1.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit6.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit10.Text = '') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit7.Text ='') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if (Dblookupcombobox1.Text = '99') and (Dbedit4.Text ='') Then
Begin
Showmessage('Operao Cancelada');
Table5.Cancel;
Table1.Cancel;
end;

if Dblookupcombobox1.Text ='99' Then
Begin
Table5.Insert;
Dbedit2.Text:='01';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='02';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='03';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='04';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='05';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='06';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;

Table5.Insert;
Dbedit2.Text:='07';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='08';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='09';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='10';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='11';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='12';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='13';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='14';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='15';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;


Table5.Insert;
Dbedit2.Text:='16';
Dbedit5.Text:=Dblookupcombobox2.Text;
Dbedit14.Text:=Dbedit6.Text;
Dbedit18.Text:=Dbedit10.Text;
Dbedit12.Text:=Dbedit4.Text;
Dbedit13.Text:=Dblookupcombobox3.Text;
Dbedit19.Text:=Dbedit1.Text;
Dbedit15.Text:=Dbedit7.Text;
Dbedit11.Text:=DateTostr(Now);
Dbedit16.Text:='CREDITO';
Dbedit17.Text:='ABERTO';
Table5.Insert;
Table5.First;
Table5.Refresh;

Table1.Cancel;

end;

Table1.Insert;
Table1.First;


Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn1.Enabled:=True;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
self.MaskEdit1.Text:='';
end
Else
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
end;


procedure TCondoReceber.BitBtn4Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
Bitbtn1.Enabled:=True;


end;

procedure TCondoReceber.BitBtn5Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

self.MaskEdit1.Text:='';
Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn1.Enabled:=True;
Close;
end;

end.



procedure TCondoReceber.BitBtn4Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Table5.Cancel;
Table5.First;

Dblookupcombobox1.Enabled:=False;
Dblookupcombobox2.Enabled:=False;
Dblookupcombobox3.Enabled:=False;
Dbedit1.Enabled:=False;
Dbedit6.Enabled:=False;
Dbedit10.Enabled:=False;
Dbedit7.Enabled:=False;
Maskedit1.Enabled:=False;
Bitbtn2.Enabled:=True;
Bitbtn2.Setfocus;
Bitbtn2.Enabled:=True;
Dblookupcombobox1.Text:='';
end;

procedure TCondoReceber.BitBtn5Click(Sender: TObject);
begin
Close;
end;

end.
