unit FPagaCondo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, Mask, StdCtrls, DBCtrls, ExtCtrls, Grids, DBGrids,
  Buttons, ComCtrls;

type
  TPagaCondo = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    DateTimePicker1: TDateTimePicker;
    DateTimePicker2: TDateTimePicker;
    BitBtn1: TBitBtn;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    DBLookupComboBox1: TDBLookupComboBox;
    DBLookupComboBox2: TDBLookupComboBox;
    BitBtn2: TBitBtn;
    DataSource1: TDataSource;
    Query1: TQuery;
    DataSource2: TDataSource;
    Table1: TTable;
    Table1COD: TAutoIncField;
    Table1APTO: TStringField;
    Table1DESCRIO: TStringField;
    Table1DEBITO: TFloatField;
    Table1JUROS: TFloatField;
    Table1DESCONTO: TFloatField;
    Table1DATA: TDateField;
    Table1DT_VENC: TDateField;
    Table1DT_PAG: TDateField;
    Table1MES: TStringField;
    Table1PRODUTO: TStringField;
    Table1OBS: TStringField;
    Table1TIPO: TStringField;
    Table1TITULO: TStringField;
    Table1FORNECEDOR: TStringField;
    Table1FONE_FOR: TStringField;
    Table1CREDITO: TFloatField;
    Table1ANO: TFloatField;
    Table1TOTAL: TFloatField;
    Table2: TTable;
    DataSource3: TDataSource;
    BitBtn10: TBitBtn;
    Panel2: TPanel;
    Label12: TLabel;
    Label14: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label28: TLabel;
    Label30: TLabel;
    DBText1: TDBText;
    DBText3: TDBText;
    DBText7: TDBText;
    DBText8: TDBText;
    DBText10: TDBText;
    DBText11: TDBText;
    DBText12: TDBText;
    DBText17: TDBText;
    Label15: TLabel;
    DBText4: TDBText;
    DBEdit4: TDBEdit;
    DBEdit6: TDBEdit;
    MaskEdit1: TMaskEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    DBEdit1: TDBEdit;
    Label13: TLabel;
    Label24: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure BitBtn2Click(Sender: TObject);
    procedure DBGrid1DblClick(Sender: TObject);
    procedure MaskEdit1Change(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure MaskEdit1Exit(Sender: TObject);
    procedure DBEdit2Exit(Sender: TObject);
    procedure DBEdit3Exit(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure BitBtn10Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PagaCondo: TPagaCondo;
  S: Double;
  Bio: Real;

implementation

uses FRecebeCondo, FCondominio;



{$R *.dfm}

procedure TPagaCondo.FormCreate(Sender: TObject);
begin
DeleteMenu(GetSystemMenu(Handle, False), SC_MOVE, MF_BYCOMMAND);
end;

procedure TPagaCondo.FormShow(Sender: TObject);
begin
Top := 95;
Left := 2;
Width := 796;
Height := 452;

DateTimePicker1.Date := Date -(365);
DateTimePicker2.Date := Date +(1);

query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, FORNECEDOR From Tcondominio Where TIPO = "DEBITO" AND TITULO = "ABERTO" Order by DT_VENC');
query1.Prepare;
query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label4.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label4.caption);
label4.caption:= FormatFloat('#,0.00', bio);

end;

procedure TPagaCondo.BitBtn1Click(Sender: TObject);
begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, FORNECEDOR From Tcondominio Where DESCRIO = "'+ DBLookupComboBox2.Text + '" AND TITULO = "ABERTO"  and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label4.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label4.caption);
label4.caption:= FormatFloat('#,0.00', bio);

end;

procedure TPagaCondo.DBGrid1DrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
DBGrid1.Canvas.Font.Color:= clnavy;
DBGrid1.Canvas.Brush.Color:= clyellow;

DBGrid1.Canvas.FillRect(Rect);
DBGrId1.Canvas.TextOut(Rect.Left+2,Rect.Top,Column.Field.AsString);


end;

procedure TPagaCondo.BitBtn2Click(Sender: TObject);
begin
DateTimePicker1.Date := Date -(365);
DateTimePicker2.Date := Date +(1);

query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, FORNECEDOR From Tcondominio Where TIPO = "DEBITO" AND TITULO = "ABERTO" Order by DT_VENC');
query1.Prepare;
query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label4.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label4.caption);
label4.caption:= FormatFloat('#,0.00', bio);

end;

procedure TPagaCondo.DBGrid1DblClick(Sender: TObject);
begin
if messagebox (handle,'Deseja  Efetuar  O  Pagamento  Dessa  Despesa','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin
Table1.Edit;
Dbedit6.Text:='PAGO';
Dbedit2.Text:='0,00';
Dbedit3.Text:='0,00';
Panel2.Visible:=True;
Self.Maskedit1.Text:='';
Maskedit1.SetFocus;

end;
end;
procedure TPagaCondo.MaskEdit1Change(Sender: TObject);
begin
Dbedit4.Text:=Maskedit1.Text;
end;

procedure TPagaCondo.BitBtn4Click(Sender: TObject);
begin
Table1.Cancel;
Panel2.Visible:=False;

end;

procedure TPagaCondo.BitBtn5Click(Sender: TObject);
begin
if messagebox (handle,'Deseja  Excluir  Essa  Despesa','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin
Table1.Delete;
Panel2.Visible:=False;

query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, FORNECEDOR From Tcondominio Where TIPO = "DEBITO" AND TITULO = "ABERTO" Order by DT_VENC');
query1.Prepare;
query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label4.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label4.caption);
label4.caption:= FormatFloat('#,0.00', bio);
end
Else
Table1.Cancel;
Panel2.Visible:=False;

end;

procedure TPagaCondo.MaskEdit1Exit(Sender: TObject);
Var
Valor1:real;
Valor2:real;
Valor3:real;
bio: real;
begin

Valor1:= StrToFloat (DbText17.Caption);
Valor2 := StrToFloat (Dbedit3.text);
Valor3 := StrToFloat (Dbedit2.text);
Dbtext4.Caption := FloatToStr(Valor1 - Valor2 + Valor3);
Bitbtn3.SetFocus;


end;

procedure TPagaCondo.DBEdit2Exit(Sender: TObject);
Var
Valor1:real;
Valor2:real;
Valor3:real;
bio: real;
begin

Valor1:= StrToFloat (DbText17.Caption);
Valor2 := StrToFloat (Dbedit3.text);
Valor3 := StrToFloat (Dbedit2.text);
Dbtext4.Caption := FloatToStr(Valor1 - Valor2 + Valor3);
Bitbtn3.SetFocus;


end;

procedure TPagaCondo.DBEdit3Exit(Sender: TObject);
Var
Valor1:real;
Valor2:real;
Valor3:real;
bio: real;
begin

Valor1:= StrToFloat (DbText17.Caption);
Valor2 := StrToFloat (Dbedit3.text);
Valor3 := StrToFloat (Dbedit2.text);
Dbtext4.Caption := FloatToStr(Valor1 - Valor2 + Valor3);
Bitbtn3.SetFocus;

end;

procedure TPagaCondo.BitBtn3Click(Sender: TObject);
begin
if messagebox (handle,'Confirma  O  Pagamento  Dessa  Despesa','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin
Dbedit6.Text:='PAGO';
Dbedit1.Text:=Dbtext4.Caption;
Table1.Post;
Panel2.Visible:=False;

query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, FORNECEDOR From Tcondominio Where TIPO = "DEBITO" AND TITULO = "ABERTO" Order by DT_VENC');
query1.Prepare;
query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label4.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label4.caption);
label4.caption:= FormatFloat('#,0.00', bio);
end
Else

Table1.Cancel;
Panel2.Visible:=False;
end;

procedure TPagaCondo.BitBtn6Click(Sender: TObject);
begin
Table1.Cancel;
Panel2.Visible:=False;
end;

procedure TPagaCondo.BitBtn10Click(Sender: TObject);
begin
Condominio.Show;
end;

procedure TPagaCondo.FormClose(Sender: TObject; var Action: TCloseAction);
begin
table1.cancel;
table2.cancel;
end;

end.
