unit FPesquisa;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls, DBCtrls, DB, DBTables, Grids,
  DBGrids, Buttons, DateUtils;

type
  TPesquisa = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    DateTimePicker1: TDateTimePicker;
    DateTimePicker2: TDateTimePicker;
    Label3: TLabel;
    Panel3: TPanel;
    DBLookupComboBox1: TDBLookupComboBox;
    DBLookupComboBox2: TDBLookupComboBox;
    DBLookupComboBox3: TDBLookupComboBox;
    ComboBox1: TComboBox;
    Table1: TTable;
    Table2: TTable;
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Query1: TQuery;
    DBGrid1: TDBGrid;
    DataSource3: TDataSource;
    Panel4: TPanel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Timer1: TTimer;
    Table3: TTable;
    DataSource4: TDataSource;
    DBLookupComboBox4: TDBLookupComboBox;
    DBLookupComboBox5: TDBLookupComboBox;
    DBLookupComboBox6: TDBLookupComboBox;
    ComboBox2: TComboBox;
    Table4: TTable;
    Table5: TTable;
    Table6: TTable;
    DataSource5: TDataSource;
    DataSource6: TDataSource;
    DataSource7: TDataSource;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Label15: TLabel;
    Label14: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    DBLookupComboBox7: TDBLookupComboBox;
    DataSource8: TDataSource;
    Table7: TTable;
    Table8: TTable;
    DataSource9: TDataSource;
    Label4: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    DBLookupComboBox8: TDBLookupComboBox;
    procedure FormShow(Sender: TObject);
    procedure DBLookupComboBox1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure DBLookupComboBox2Click(Sender: TObject);
    procedure DBLookupComboBox3Click(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
    procedure DBLookupComboBox4Click(Sender: TObject);
    procedure DBLookupComboBox5Click(Sender: TObject);
    procedure DBLookupComboBox6Click(Sender: TObject);
    procedure ComboBox2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure DBLookupComboBox7Click(Sender: TObject);
    procedure DBLookupComboBox8Click(Sender: TObject);


  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Pesquisa: TPesquisa;
  Var
  S: Double;
  Bio: Real;
  Valor1:Real;
  Valor2:Real;
  Valor3:Real;
implementation

uses FImprime1;

{$R *.dfm}

procedure TPesquisa.FormShow(Sender: TObject);
begin
Top := 0;
Left := 0;
Width := 1025;
Height := 735;

DateTimePicker1.Date:= StartOfTheMonth(Date);
DateTimePicker2.Date := Date;

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, CREDOR, DEVEDOR, OBSERVAO From Tcontas Where TOTAL > 0 and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

END;
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, CREDOR, DEVEDOR, OBSERVAO From Tcontas Where TOTAL > 0 and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;
END;

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, CREDOR, DEVEDOR, OBSERVAO From Tcontas Where TOTAL > 0 and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
s:= s-query1.fieldbyname ('DEBITO').asfloat;

query1.next;
query1.Open;
end;

label13.caption:=floattostr(s);
query1.enablecontrols;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
END;
end;



procedure TPesquisa.DBLookupComboBox1Click(Sender: TObject);
begin
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
DBLookupComboBox7.KeyValue:=' ';
DBLookupComboBoX8.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';

If  (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where DESCRIO = "'+ DBLookupComboBox1.Text + '"  and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin
s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

 END;



If  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where DESCRIO = "'+ DBLookupComboBox1.Text + '"  and TITULO = "PAGO" and DT_PAG >=:pInicial and DT_PAG <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;


If  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where DESCRIO = "'+ DBLookupComboBox1.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;
END;

procedure TPesquisa.Timer1Timer(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';


end;

procedure TPesquisa.DBLookupComboBox2Click(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
DBLookupComboBox7.KeyValue:=' ';
DBLookupComboBox8.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';


If  (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, CREDITO, CRE_POP, TOTAL, DATA, DT_VENC, DT_PAG, CREDOR, OBSERVAO FROM Tcontas  Where DESCRIO = "'+ DBLookupComboBox2.Text + '" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

end;

If  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, CREDITO, CRE_POP, TOTAL, DATA, DT_VENC, DT_PAG, CREDOR, OBSERVAO FROM Tcontas  Where DESCRIO = "'+ DBLookupComboBox2.Text + '" and TITULO = "RECEBIDO" and DT_PAG >=:pInicial and DT_PAG<=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

end;


If  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, CREDITO, CRE_POP, TOTAL, DATA, DT_VENC, DT_PAG, CREDOR, OBSERVAO FROM Tcontas  Where DESCRIO = "'+ DBLookupComboBox2.Text + '"  and DT_VENC >=:pInicial and DT_VENC<=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

end;
end;

procedure TPesquisa.DBLookupComboBox3Click(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';


if  (DBLookupComboBox3.Text ='TODOS') AND (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT *FROM Tcontas  WHERE TIPO = "DEBITO" AND TITULO = "ABERTO" and DT_PAG >=:pInicial and DT_PAG <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='TODOS') AND  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT *FROM Tcontas  WHERE TIPO = "DEBITO" AND TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text = 'TODOS') AND  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT *FROM Tcontas  WHERE TIPO = "DEBITO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;

if  (DBLookupComboBox3.Text ='PATRICIA') AND (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE3, VALOR3, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE3 = "'+ DBLookupComboBox3.Text + '" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR3').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='PATRICIA') AND  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE3, VALOR3, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE3 = "'+ DBLookupComboBox3.Text + '" and TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR3').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text = 'PATRICIA') AND  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE3, VALOR3, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE3 = "'+ DBLookupComboBox3.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR3').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='WELLINGTON') AND (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE4, VALOR4, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE4 = "'+ DBLookupComboBox3.Text + '" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR4').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='WELLINGTON') AND  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE4, VALOR4, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE4 = "'+ DBLookupComboBox3.Text + '" and TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR4').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text = 'WELLINGTON') AND  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE4, VALOR4, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE4 = "'+ DBLookupComboBox3.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR4').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;

if  (DBLookupComboBox3.Text ='OUTROS') AND (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE5, VALOR5, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE5 = "'+ DBLookupComboBox3.Text + '" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR5').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='OUTROS') AND  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE5, VALOR5, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE5 = "'+ DBLookupComboBox3.Text + '" and TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR5').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text = 'OUTROS') AND  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE5, VALOR5, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE5 = "'+ DBLookupComboBox3.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR5').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;




if  (DBLookupComboBox3.Text ='CLEIDE') AND (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE2, VALOR2, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE2 = "'+ DBLookupComboBox3.Text + '" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR2').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='CLEIDE') AND  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE2, VALOR2, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE2 = "'+ DBLookupComboBox3.Text + '" and TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR2').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text = 'CLEIDE') AND  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE2, VALOR2, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE2 = "'+ DBLookupComboBox3.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR2').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='SEVERINO') AND (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE1, VALOR1, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE1 = "'+ DBLookupComboBox3.Text + '" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR1').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text ='SEVERINO') AND  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE1, VALOR1, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE1 = "'+ DBLookupComboBox3.Text + '" and TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR1').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;


if  (DBLookupComboBox3.Text = 'SEVERINO') AND  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, BENE1, VALOR1, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO FROM Tcontas  Where BENE1 = "'+ DBLookupComboBox3.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('VALOR1').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

end;

end;


procedure TPesquisa.ComboBox1Click(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
ComboBox2.Text:=' ';


if Combobox1.Text = 'VECULOS' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where OBJ = "VEI" and TIPO = "DEBITO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal ');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;


if Combobox1.Text = 'ALIMENTAO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where ABS = "ALI" and TIPO = "DEBITO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal ');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;




if Combobox1.Text = 'DINHEIRO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where TIPO = "DEBITO" and FORMA = "DINHEIRO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal ');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;

if Combobox1.Text = 'CARTO ABERTO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where TIPO = "DEBITO" and TITULO = "ABERTO" AND FORMA = "CARTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;

if Combobox1.Text = 'CARTO PAGO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where TIPO = "DEBITO" and TITULO = "PAGO" AND FORMA = "CARTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;

begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;

if Combobox1.Text = 'GERAL' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, CREDOR, DEVEDOR, OBSERVAO From Tcontas Where TOTAL > 0 and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

END;
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, CREDOR, DEVEDOR, OBSERVAO From Tcontas Where TOTAL > 0 and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;
END;

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, CREDOR, DEVEDOR, OBSERVAO From Tcontas Where TOTAL > 0 and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
s:= s-query1.fieldbyname ('DEBITO').asfloat;

query1.next;
query1.Open;
end;

label13.caption:=floattostr(s);
query1.enablecontrols;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
END;
END;

if Combobox1.Text = 'CREDITO GERAL' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DATA, DT_VENC, DT_PAG, CREDOR, OBSERVAO From Tcontas Where IDENTIFICA = "RECEITA" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

END;
END;

if Combobox1.Text = 'CREDITOS RECEBIDO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DATA, DT_VENC, DT_PAG, CREDOR, OBSERVAO From Tcontas Where IDENTIFICA = "RECEITA" AND TITULO = "RECEBIDO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

END;
END;







if Combobox1.Text = 'CREDITOS ABERTO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DATA, DT_VENC, DT_PAG, CREDOR, OBSERVAO From Tcontas Where IDENTIFICA = "RECEITA" AND TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

END;
END;






if Combobox1.Text = 'AVALISTA GASTOU' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, DEVEDOR, LOJA, OBSERVAO From Tcontas Where DESCRIO = "AVALISTA" AND IDENTIFICA = "DESPESA" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);


END;
END;






if Combobox1.Text = 'DEBITOS GERAL' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where TIPO = "DEBITO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);



END;
END;

if Combobox1.Text = 'EMPRESTADO RECEBIDO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where DESCRIO = "EMPRESTIMO" and TITULO = "RECEBIDO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;
label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

END;
END;


if Combobox1.Text = 'AVALISTA PAGOU' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where DESCRIO = "AVALISTA" and TITULO = "PAGO" AND IDENTIFICA = "RECEITA" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;
label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';

Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

END;
END;


if Combobox1.Text = 'AVALISTA ABERTO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where DESCRIO = "AVALISTA" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;


if Combobox1.Text = 'VALOR EMPRESTADO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, DEVEDOR, OBSERVAO From Tcontas Where DESCRIO = "EMPRESTIMO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);
END;
END;





if Combobox1.Text = 'DEBITOS PAGOS' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where TIPO = "DEBITO" and TITULO = "PAGO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;
label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
END;

if Combobox1.Text = 'DEBITOS ABERTO' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DATA, DT_VENC, DT_PAG, LOJA, OBSERVAO From Tcontas Where TIPO = "DEBITO" and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);
end;
END;
end;
procedure TPesquisa.DBLookupComboBox4Click(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';


If  (Checkbox1.Checked = True) and (Length(DblookupCombobox4.Text) <> 0) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker1.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_PAG, MES, ANO, OBS From Tcondominio Where DESCRIO = "'+ DBLookupComboBox4.Text + '" AND TITULO = "PAGO"  and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);


end;


If  (Checkbox2.Checked = True) and (Length(DblookupCombobox4.Text) <> 0) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, MES, ANO, OBS From Tcondominio Where DESCRIO = "'+ DBLookupComboBox4.Text + '" AND TITULO = "ABERTO"  and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

end;


If (Checkbox1.Checked = False) And (Checkbox2.Checked = False) And (Length(DblookupCombobox4.Text) <> 0) then
Begin
Showmessage('SELECIONE  A  OPO  PAGO  OU  ABERTO');
END;

end;

procedure TPesquisa.DBLookupComboBox5Click(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';



If  (Checkbox2.Checked = True) and (Length(DblookupCombobox5.Text) <> 0) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, APTO, DESCRIO, PRODUTO, CREDITO, DT_VENC, MES, ANO, OBS From Tcondominio Where DESCRIO = "'+ DBLookupComboBox5.Text + '" AND TITULO = "ABERTO"  and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:= '0,00';
Label13.Caption := Label12.Caption;

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);


 end;



If  (Checkbox1.Checked = True) and (Length(DblookupCombobox5.Text) <> 0) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, APTO, DESCRIO, PRODUTO, CREDITO, DT_PAG, MES, ANO, OBS From Tcondominio Where DESCRIO = "'+ DBLookupComboBox5.Text + '" AND TITULO = "PAGO"  and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:= '0,00';
Label13.Caption:=Label12.Caption;

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
end;


If (Checkbox1.Checked = False) And (Checkbox2.Checked = False) And (Length(DblookupCombobox5.Text) <> 0) then
Begin
Showmessage('SELECIONE  A  OPO  PAGO  OU  ABERTO');
END;

end;

procedure TPesquisa.DBLookupComboBox6Click(Sender: TObject);
begin
If (Checkbox2.Checked = True) And (Length(DblookupCombobox6.Text) <> 0) then
Begin

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker1.Date);
Query1.Close;
Query1.SQL.Clear;
query1.sql.add('Select COD, APTO, DESCRIO, CREDITO, DT_VENC, MES, ANO, OBS From Tcondominio Where APTO = "'+ DBLookupComboBox6.Text + '" AND TITULO = "ABERTO"  and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';
Label13.Caption := Label12.Caption ;

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

end;




If (Checkbox1.Checked = True) And (Length(DblookupCombobox6.Text) <> 0) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
query1.sql.add('Select COD, APTO, DESCRIO, CREDITO, TOTAL, DT_VENC, DT_PAG, MES, ANO, OBS From Tcondominio Where APTO = "'+ DBLookupComboBox6.Text + '" AND TITULO = "PAGO"  and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('TOTAL').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:='0,00';
Label13.Caption:= Label12.Caption;

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
end;


If (Checkbox1.Checked = False) And (Checkbox2.Checked = False) And (Length(DblookupCombobox6.Text) <> 0) then
Begin
Showmessage('SELECIONE  A  OPO  PAGO  OU  ABERTO');
END;

end;

procedure TPesquisa.ComboBox2Click(Sender: TObject);
begin
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
ComboBox1.Text:=' ';




If Combobox2.Text = 'Crditos  Recebidos' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
query1.sql.add('Select COD, APTO, DESCRIO, CREDITO, DT_VENC, DT_PAG, MES, ANO, OBS From Tcondominio Where TIPO = "CREDITO" AND TITULO = "PAGO"  and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Label11.Caption:= '0,00';
Label13.Caption := Label12.Caption;

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

End;


If Combobox2.Text = 'Crditos  Em  Aberto' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
query1.sql.add('Select COD, APTO, DESCRIO, CREDITO, DT_VENC, MES, ANO, OBS From Tcondominio Where TIPO = "CREDITO" AND TITULO = "ABERTO"  and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

LAbel11.Caption:='0,00';
Label13.Caption := Label12.Caption;

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

End;


If Combobox2.Text = 'Despesas Em Aberto' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC, MES, ANO, OBS From Tcondominio Where TIPO = "DEBITO"  And TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
END;


If Combobox2.Text = 'Despesas Pagas' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_PAG, MES, ANO, OBS From Tcondominio Where TIPO = "DEBITO"  And TITULO = "PAGO" and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
END;


If Combobox2.Text = 'Dbito / Crdito  Aberto' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DT_VENC, MES, ANO, OBS From Tcondominio Where TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;


DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DT_VENC, MES, ANO, OBS From Tcondominio Where TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC<=:pFinal order by DT_VENC');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;


s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Valor1:= StrToFloat (Label11.Caption);
Valor2 := StrToFloat (Label12.Caption);
Label13.Caption := FloatToStr(Valor2 - Valor1);

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio)

END;


If Combobox2.Text = 'Dbito / Crdito  Quitado' Then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DT_PAG, MES, ANO, OBS From Tcondominio Where TITULO = "PAGO" and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
query1.Close;
query1.Sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DT_PAG, MES, ANO, OBS From Tcondominio Where TITULO = "PAGO" and DT_PAG >=:pInicial and DT_PAG<=:pFinal order by DT_PAG');
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
query1.Prepare;
query1.Open;


s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;

Valor1:= StrToFloat (Label11.Caption);
Valor2 := StrToFloat (Label12.Caption);
Label13.Caption := FloatToStr(Valor2 - Valor1);

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio)
END;



end;

procedure TPesquisa.CheckBox1Click(Sender: TObject);
begin
Checkbox2.Checked:=False;
end;

procedure TPesquisa.CheckBox2Click(Sender: TObject);
begin
Checkbox1.Checked:=False;
end;

procedure TPesquisa.CheckBox3Click(Sender: TObject);
begin
Checkbox4.Checked:=False;
end;

procedure TPesquisa.CheckBox4Click(Sender: TObject);
begin
Checkbox3.Checked:=False;
end;

procedure TPesquisa.DBLookupComboBox7Click(Sender: TObject);
begin

DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
DBLookupComboBox1.KeyValue:=' ';
DBLookupComboBox8.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';

If  (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where PRODUTO = "'+ DBLookupComboBox7.Text + '"  and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin
s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

 END;



If  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where PRODUTO = "'+ DBLookupComboBox7.Text + '"  and TITULO = "PAGO" and DT_PAG >=:pInicial and DT_PAG <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;


If  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where PRODUTO = "'+ DBLookupComboBox7.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;
end;
procedure TPesquisa.DBLookupComboBox8Click(Sender: TObject);
begin
DBLookupComboBox2.KeyValue:=' ';
DBLookupComboBox3.KeyValue:=' ';
DBLookupComboBox4.KeyValue:=' ';
DBLookupComboBox5.KeyValue:=' ';
DBLookupComboBox7.KeyValue:=' ';
DBLookupComboBox1.KeyValue:=' ';
ComboBox1.Text:=' ';
ComboBox2.Text:=' ';

If  (Checkbox3.Checked = False) and (Checkbox4.Checked = True) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where LOJA = "'+ DBLookupComboBox8.Text + '"  and TITULO = "ABERTO" and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin
s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

 END;



If  (Checkbox3.Checked = True) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where LOJA = "'+ DBLookupComboBox8.Text + '"  and TITULO = "PAGO" and DT_PAG >=:pInicial and DT_PAG <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;

Label12.Caption:='0,00';

Label13.Caption:=Label11.Caption;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

END;


If  (Checkbox3.Checked = False) and (Checkbox4.Checked = False) then
Begin
DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where LOJA = "'+ DBLookupComboBox8.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

BEGIN
query1.disablecontrols;
query1.first;
s:= 0;

while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label11.caption:=floattostr(s);
query1.enablecontrols;
END;

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where LOJA = "'+ DBLookupComboBox8.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

BEGIN

query1.disablecontrols;
query1.first;
s:= 0;

while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label12.caption:=floattostr(s);
query1.enablecontrols;
END;

DateToStr(DateTimePicker1.Date);
DateToStr(DateTimePicker2.Date);
Query1.Close;
Query1.SQL.Clear;
Query1.SQL.Text := 'SELECT COD, DESCRIO, PRODUTO, DEBITO, CREDITO, DEB_POP, TOTAL, DATA, DT_VENC, DT_PAG, LOJA, KM, LITROS, DEVEDOR, OBSERVAO FROM Tcontas  Where LOJA = "'+ DBLookupComboBox8.Text + '"  and DT_VENC >=:pInicial and DT_VENC <=:pFinal ';
Query1.ParamByName('pInicial').AsDateTime := DateTimePicker1.Date;
Query1.ParamByName('pFinal').AsDateTime := DateTimePicker2.Date;
Query1.Prepare;
Query1.Open;

BEGIN
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
s:= s-query1.fieldbyname ('DEBITO').asfloat;

query1.next;
query1.Open;
end;

label13.caption:=floattostr(s);
query1.enablecontrols;

bio:= StrToFloat(label11.caption);
label11.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label12.caption);
label12.caption:= FormatFloat('#,0.00', bio);

bio:= StrToFloat(label13.caption);
label13.caption:= FormatFloat('#,0.00', bio);
END;
END;
END;
END.


