unit FCadastrar_Receitas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, DBCtrls, DB, DBTables, Buttons, ExtCtrls, Grids,
  DBGrids, ComCtrls;

type
  TCadastrar_Receitas = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    Table1COD: TAutoIncField;
    Table1DESCRIO: TStringField;
    Table1PRODUTO: TStringField;
    Table1DEBITO: TFloatField;
    Table1CREDITO: TFloatField;
    Table1VALOR: TFloatField;
    Table1DATA: TDateField;
    Table1DT_VENC: TDateField;
    Table1DT_PAG: TDateField;
    Table1FORMA: TStringField;
    Table1LOJA: TStringField;
    Table1OBSERVAO: TStringField;
    Table1DEVEDOR: TStringField;
    Table1CREDOR: TStringField;
    Table1JUROS: TFloatField;
    Table1DESCONTO: TFloatField;
    Table1TOTAL: TFloatField;
    Table1BENE1: TStringField;
    Table1VALOR1: TFloatField;
    Table1BENE2: TStringField;
    Table1VALOR2: TFloatField;
    Table1BENE3: TStringField;
    Table1VALOR3: TFloatField;
    Table1BENE4: TStringField;
    Table1VALOR4: TFloatField;
    Table1BENE5: TStringField;
    Table1VALOR5: TFloatField;
    Table1KM: TFloatField;
    Table1LITROS: TFloatField;
    Table1ABS: TStringField;
    Table1TITULO: TStringField;
    Table1IDENTIFICA: TStringField;
    Table1TIPO: TStringField;
    Table1MODELO: TStringField;
    Table1PROD_AVALI: TStringField;
    Table1VALOR_AVALI: TFloatField;
    Table1VENC_AVALI: TDateField;
    Table1CRE_POP: TFloatField;
    Table1DEB_POP: TFloatField;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    DBEdit8: TDBEdit;
    Label9: TLabel;
    DBEdit10: TDBEdit;
    DBEdit11: TDBEdit;
    DBEdit12: TDBEdit;
    DBEdit13: TDBEdit;
    Table2: TTable;
    DataSource2: TDataSource;
    Label4: TLabel;
    DBGrid1: TDBGrid;
    DataSource3: TDataSource;
    Query1: TQuery;
    DBEdit7: TDBEdit;
    DBEdit14: TDBEdit;
    DBEdit15: TDBEdit;
    DBEdit16: TDBEdit;
    Panel5: TPanel;
    Label7: TLabel;
    Table3: TTable;
    DataSource4: TDataSource;
    Table4: TTable;
    DataSource5: TDataSource;
    Panel6: TPanel;
    Label101: TLabel;
    Label11: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    DBLookupComboBox1: TDBLookupComboBox;
    DBLookupComboBox2: TDBLookupComboBox;
    DBEdit3: TDBEdit;
    DateTimePicker1: TDateTimePicker;
    DBLookupComboBox3: TDBLookupComboBox;
    DBMemo1: TDBMemo;
    BitBtn6: TBitBtn;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    Panel1: TPanel;
    Label5: TLabel;
    DBGrid2: TDBGrid;
    DBGrid3: TDBGrid;
    DBGrid4: TDBGrid;
    DBNavigator1: TDBNavigator;
    DBNavigator2: TDBNavigator;
    DBNavigator3: TDBNavigator;
    BitBtn5: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DBEdit2KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit9KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit1KeyPress(Sender: TObject; var Key: Char);
    procedure BitBtn6Click(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
    procedure BitBtn8Click(Sender: TObject);
    procedure DBEdit9Exit(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DBMemo1Exit(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure DBGrid2KeyPress(Sender: TObject; var Key: Char);
    procedure DBGrid3KeyPress(Sender: TObject; var Key: Char);
    procedure DBGrid4KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit8KeyPress(Sender: TObject; var Key: Char);
    procedure DBMemo1KeyPress(Sender: TObject; var Key: Char);
    procedure DateTimePicker1Exit(Sender: TObject);
    procedure DBLookupComboBox3Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Cadastrar_Receitas: TCadastrar_Receitas;
  S:Double;
  Bio:Real;
implementation

uses FFinanceiro;

{$R *.dfm}

procedure TCadastrar_Receitas.FormShow(Sender: TObject);
begin
Top := 0;
Left := 0;
Width := 1025;
Height := 735;
Table1.Insert;
Dblookupcombobox1.SetFocus;
Bitbtn6.Enabled:=False;

query1.close;
query1.sql.Clear;
query1.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DT_VENC, CREDOR From Tcontas Where TIPO = "CREDITO" and TITULO = "ABERTO" order by DT_VENC');
query1.Open;
begin
query1.disablecontrols;
query1.first;
s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('CREDITO').asfloat;
query1.next;
query1.Open;
end;

label7.caption:=floattostr(s);
query1.enablecontrols;

bio:= StrToFloat(Label7.Caption);
Label7.Caption:= FormatFloat('#,0.00', bio);


Query1.First;

end;

end;

procedure TCadastrar_Receitas.FormCreate(Sender: TObject);
begin
DeleteMenu(GetSystemMenu(Handle, False), SC_MOVE, MF_BYCOMMAND);
end;

procedure TCadastrar_Receitas.DBEdit2KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DBEdit9KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DBEdit1KeyPress(Sender: TObject;
  var Key: Char);
begin
 Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.BitBtn6Click(Sender: TObject);
begin
Dbedit6.Text:= datetostr(DateTimePicker1.DateTime);
Dbedit11.Text:='ABERTO';
Dbedit13.Text:='CREDITO';
Dbedit12.Text:='RECEITA';
Dbedit5.Text:=DateToStr(Now);
Dbedit4.Text:=Dbedit3.Text;
Dbedit10.Text:=Dbedit3.Text;
Dbedit8.Text:='DINHEIRO';
if messagebox (handle,'Confirma a Incluso dessa Despesa','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin

If Dblookupcombobox1.Text='RENDIMENTOS' Then
Begin

Dbedit14.Text:=Dbedit3.Text;
Dbedit11.Text:='RECEBIDO';
Dbedit16.Text:=Dbedit6.Text;




end;

If Dblookupcombobox1.Text='TRANSFERENCIA C/C' Then
Begin
Dbedit7.Text:=Dbedit4.Text;
Dbedit10.Text:='0,00';
Dbedit3.Text:='0,00';
Dbedit11.Text:='RECEBIDO';
Dbedit16.Text:=Dbedit6.Text;

end;



If Dblookupcombobox1.Text='' Then
Begin
Showmessage('ERRO..... REPITA A OPERAO');
Table1.Cancel;
close;
end;

If DBLookupComboBox2.Text='' Then
Begin
Showmessage('ERRO..... REPITA A OPERAO');
Table1.Cancel;
close;
end;

If Dbedit3.Text='' Then
Begin
Showmessage('ERRO..... REPITA A OPERAO');
Table1.Cancel;
close;
end;

If DBLookupComboBox3.Text='' Then
Begin
Showmessage('ERRO..... REPITA A OPERAO');
Table1.Cancel;
close;
end;


Table1.Insert;
end
Else
Table1.Cancel;
Close;
end;

procedure TCadastrar_Receitas.BitBtn7Click(Sender: TObject);
begin
Showmessage('DIGITE OS DADOS NOVAMENTE');
Dblookupcombobox1.SetFocus;
Bitbtn6.Enabled:=False;
end;

procedure TCadastrar_Receitas.BitBtn8Click(Sender: TObject);
begin
Table1.Cancel;
Close;
end;

procedure TCadastrar_Receitas.DBEdit9Exit(Sender: TObject);
begin
Bitbtn6.Enabled:=True;
Dbedit15.Text:=DBLookupComboBox3.Text;
end;

procedure TCadastrar_Receitas.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin

Financeiro.query4.close;
Financeiro.query4.sql.Clear;
Financeiro.query4.sql.add('Select *From Tcontas order by DT_Venc');
Financeiro.query4.Open;
begin
Financeiro.query4.disablecontrols;
Financeiro.query4.first;
s:= 0;
while not Financeiro.query4.eof do begin

s:= s+Financeiro.query4.fieldbyname ('CRE_POP').asfloat;
s:= s-Financeiro.query4.fieldbyname ('DEB_POP').asfloat;

Financeiro.query4.next;
Financeiro.query4.Open;
end;

Financeiro.EdiT5.Text:=floattostr(s);
Financeiro.query4.enablecontrols;

Financeiro.Panel8.Caption:=Financeiro.Edit5.Text;
bio:= StrToFloat(Financeiro.Panel8.Caption);
Financeiro.Panel8.Caption:= FormatFloat('#,0.00', bio);


end;

Financeiro.query2.close;
Financeiro.query2.sql.Clear;
Financeiro.query2.sql.add('Select COD, DESCRIO, PRODUTO, CREDITO, DT_VENC, CREDOR From Tcontas Where TIPO = "CREDITO" and TITULO = "ABERTO" order by DT_VENC');
Financeiro.query2.Open;
begin
Financeiro.query2.disablecontrols;
Financeiro.query2.first;
s:= 0;
while not Financeiro.query2.eof do begin

s:= s+Financeiro.query2.fieldbyname ('CREDITO').asfloat;
Financeiro.query2.next;
Financeiro.query2.Open;
end;

Financeiro.label10.caption:=floattostr(s);
Financeiro.query2.enablecontrols;

bio:= StrToFloat(Financeiro.Label10.Caption);
Financeiro.Label10.Caption:= FormatFloat('#,0.00', bio);


Financeiro.Query2.First;

Financeiro.query3.close;
Financeiro.query3.sql.Clear;
Financeiro.query3.sql.add('Select *From Tcontas order by DT_Venc');
Financeiro.query3.Open;
begin
Financeiro.query3.disablecontrols;
Financeiro.query3.first;
s:= 0;
while not Financeiro.query3.eof do begin

s:= s+Financeiro.query3.fieldbyname ('DEBITO').asfloat;
Financeiro.query3.next;
Financeiro.query3.Open;
end;

Financeiro.Edit3.Text:=floattostr(s);
Financeiro.query3.enablecontrols;

end;

Financeiro.query3.close;
Financeiro.query3.sql.Clear;
Financeiro.query3.sql.add('Select *From Tcontas order by DT_Venc');
Financeiro.query3.Open;
begin
Financeiro.query3.disablecontrols;
Financeiro.query3.first;
s:= 0;
while not Financeiro.query3.eof do begin

s:= s+Financeiro.query3.fieldbyname ('CREDITO').asfloat;
Financeiro.query3.next;
Financeiro.query3.Open;
end;

Financeiro.Edit4.Text:=floattostr(s);
Financeiro.query3.enablecontrols;

end;

Valor1 := StrToFloat (Financeiro.Edit4.Text);
Valor2 := StrToFloat (Financeiro.Edit3.Text);

Financeiro.Panel2.Caption := FloatToStr(Valor1 - Valor2);

bio:= StrToFloat(Financeiro.Panel2.Caption);
Financeiro.Panel2.Caption:= FormatFloat('#,0.00', bio);
end;




end;


procedure TCadastrar_Receitas.DBMemo1Exit(Sender: TObject);
begin
bitbtn6.enabled:=True;
Bitbtn6.SetFocus;
end;

procedure TCadastrar_Receitas.BitBtn1Click(Sender: TObject);
begin
Panel1.Visible:=True;
end;

procedure TCadastrar_Receitas.BitBtn2Click(Sender: TObject);
begin
Panel1.Visible:=True;
end;

procedure TCadastrar_Receitas.BitBtn3Click(Sender: TObject);
begin
Panel1.Visible:=True;
end;

procedure TCadastrar_Receitas.BitBtn4Click(Sender: TObject);
begin
Table1.Cancel;
Table2.Cancel;
Table3.Cancel;
Table4.Cancel;

close;
end;

procedure TCadastrar_Receitas.BitBtn5Click(Sender: TObject);
begin
Panel1.Visible:=False;

end;

procedure TCadastrar_Receitas.DBGrid2KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DBGrid3KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DBGrid4KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DBEdit8KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DBMemo1KeyPress(Sender: TObject;
  var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCadastrar_Receitas.DateTimePicker1Exit(Sender: TObject);
begin
Dbedit6.Text:= datetostr(DateTimePicker1.DateTime);
end;

procedure TCadastrar_Receitas.DBLookupComboBox3Exit(Sender: TObject);
begin
Dbedit15.Text:= DBlookupcombobox3.Text;
end;

end.
