unit FCondoDesp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DB, DBTables, Grids, DBGrids, DBCtrls, Mask, Buttons,
  ExtCtrls;

type
  TCondoDesp = class(TForm)
    DBGrid1: TDBGrid;
    Query1: TQuery;
    DataSource1: TDataSource;
    Label1: TLabel;
    Label2: TLabel;
    Table1: TTable;
    Table2: TTable;
    DataSource2: TDataSource;
    DataSource3: TDataSource;
    DBLookupComboBox1: TDBLookupComboBox;
    Table2COD: TAutoIncField;
    Table2APTO: TStringField;
    Table2DESCRIO: TStringField;
    Table2DEBITO: TFloatField;
    Table2JUROS: TFloatField;
    Table2DESCONTO: TFloatField;
    Table2DATA: TDateField;
    Table2DT_VENC: TDateField;
    Table2DT_PAG: TDateField;
    Table2MES: TStringField;
    Table2PRODUTO: TStringField;
    Table2OBS: TStringField;
    Table2TIPO: TStringField;
    Table2TITULO: TStringField;
    Table1COD: TAutoIncField;
    Table1APTO: TStringField;
    Table1DESCRIO: TStringField;
    Table1DEBITO: TFloatField;
    Table1JUROS: TFloatField;
    Table1DESCONTO: TFloatField;
    Table1DATA: TDateField;
    Table1DT_VENC: TDateField;
    Table1DT_PAG: TDateField;
    Table1MES: TStringField;
    Table1PRODUTO: TStringField;
    Table1OBS: TStringField;
    Table1TIPO: TStringField;
    Table1TITULO: TStringField;
    DataSource4: TDataSource;
    DBEdit2: TDBEdit;
    BitBtn1: TBitBtn;
    Label5: TLabel;
    BitBtn2: TBitBtn;
    DBLookupComboBox2: TDBLookupComboBox;
    Label4: TLabel;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    Label3: TLabel;
    Label6: TLabel;
    DBEdit4: TDBEdit;
    Label8: TLabel;
    DBEdit5: TDBEdit;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    DBEdit9: TDBEdit;
    DBEdit10: TDBEdit;
    Table1FORNECEDOR: TStringField;
    Table1FONE_FOR: TStringField;
    Label7: TLabel;
    Label12: TLabel;
    DBEdit11: TDBEdit;
    Table4: TTable;
    DataSource5: TDataSource;
    DBLookupComboBox3: TDBLookupComboBox;
    DBEdit3: TDBEdit;
    MaskEdit1: TMaskEdit;
    DBLookupComboBox4: TDBLookupComboBox;
    DBEdit7: TDBEdit;
    DBEdit1: TDBEdit;
    MaskEdit2: TMaskEdit;
    DBEdit8: TDBEdit;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    BitBtn7: TBitBtn;
    Table3: TTable;
    BitBtn8: TBitBtn;
    BitBtn11: TBitBtn;
    Label13: TLabel;
    Label14: TLabel;
    Query2: TQuery;
    DataSource6: TDataSource;
    DBGrid2: TDBGrid;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure DBEdit2KeyPress(Sender: TObject; var Key: Char);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure DBLookupComboBox3Click(Sender: TObject);
    procedure MaskEdit1Change(Sender: TObject);
    procedure MaskEdit2Change(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
    procedure DBEdit7KeyPress(Sender: TObject; var Key: Char);
    procedure BitBtn8Click(Sender: TObject);
    procedure BitBtn11Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CondoDesp: TCondoDesp;
S: Double;
Bio: Real;


implementation

uses FCondominio, FRecebeCondo, FPagaCondo;

{$R *.dfm}

procedure TCondoDesp.FormCreate(Sender: TObject);
begin
DeleteMenu(GetSystemMenu(Handle, False), SC_MOVE, MF_BYCOMMAND);
end;
procedure TCondoDesp.FormShow(Sender: TObject);
begin
Top := 95;
Left := 2;
Width := 796;
Height := 452;

Query2.Close;
Query2.Sql.Clear;
Query2.SQL.Add('Select DESCRIO, PRODUTO, DEBITO, DT_PAG From TCondominio Where TIPO = "DEBITO" AND TITULO = "PAGO" Order by DT_PAG');
Query2. Prepare;
Query2.Open;


s:= 0;
while not query2.eof do begin

s:= s+query2.fieldbyname ('DEBITO').asfloat;
query2.next;
query2.Open;
end;

label14.caption:=floattostr(s);
query2.enablecontrols;
Query2.First;

Query2.Last;
bio:= StrToFloat(label14.caption);
label14.caption:= FormatFloat('#,0.00', bio);









Query1.Close;
Query1.Sql.Clear;
Query1.SQL.Add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC From TCondominio Where TIPO = "DEBITO" AND TITULO = "ABERTO" Order by DT_VENC');
Query1. Prepare;
Query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label1.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label1.caption);
label1.caption:= FormatFloat('#,0.00', bio);


end;

procedure TCondoDesp.DBGrid1DrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
DBGrid1.Canvas.Font.Color:= clnavy;
DBGrid1.Canvas.Brush.Color:= clyellow;

DBGrid1.Canvas.FillRect(Rect);
DBGrId1.Canvas.TextOut(Rect.Left+2,Rect.Top,Column.Field.AsString);

end;

procedure TCondoDesp.DBEdit2KeyPress(Sender: TObject; var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCondoDesp.BitBtn1Click(Sender: TObject);
begin
Bitbtn1.visible:= False;
Table3.Insert;
end;

procedure TCondoDesp.BitBtn2Click(Sender: TObject);
begin
if messagebox (handle,'Deseja  Realmente  Gravar  Esse  Registro','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin

If dbedit2.Text ='' Then
Begin
Table3.Cancel;
Bitbtn1.Visible:=True;
Dblookupcombobox2.Keyvalue:='';

end;
Table3.Insert;
Table3.First;
Dblookupcombobox2.keyvalue:='';
Bitbtn1.Visible:=True;
end
else
Table3.Cancel;
Bitbtn1.Visible:=True;
Dblookupcombobox2.keyvalue:='';
end;

procedure TCondoDesp.BitBtn3Click(Sender: TObject);
begin
Table3.Cancel;
Bitbtn1.Visible:=True;
Dblookupcombobox2.keyvalue:='';

end;

procedure TCondoDesp.BitBtn4Click(Sender: TObject);
begin
if messagebox (handle,'Deseja  Realmente  Excluir  Esse  Registro','           A   T   E   N         O ',
mb_iconinformation + mb_YesNo)= mryes then
Begin
Table3.Delete;
end
else
table3.Cancel;
Bitbtn1.Visible:=True;
Dblookupcombobox2.keyvalue:='';

end;

procedure TCondoDesp.BitBtn5Click(Sender: TObject);
begin
Table1.Insert;
Dblookupcombobox3.Enabled:=True;
Dbedit3.Enabled:=True;
Maskedit1.Enabled:=True;
Dblookupcombobox4.Enabled:=True;
Dbedit7.Enabled:=True;
Dbedit1.Enabled:=True;
Maskedit2.Enabled:=True;
Dbedit8.Enabled:=True;

Bitbtn5.Enabled:=False;
Dbedit9.Text:='DEBITO';
Dbedit10.Text:='ABERTO';
Dbedit4.Text:=DateTostr(Now);
Dblookupcombobox3.Setfocus;
end;

procedure TCondoDesp.DBLookupComboBox3Click(Sender: TObject);
begin
Dblookupcombobox2.KeyValue:='';
end;

procedure TCondoDesp.MaskEdit1Change(Sender: TObject);
begin
Dbedit5.Text:=Maskedit1.Text;
end;

procedure TCondoDesp.MaskEdit2Change(Sender: TObject);
begin
Dbedit11.Text:=Maskedit2.Text;
end;

procedure TCondoDesp.BitBtn6Click(Sender: TObject);
begin
if Bitbtn5.Enabled = True Then
Begin
Showmessage('OPERAO  ILEGAL');
end;

if Dblookupcombobox3.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

if Dbedit3.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

if Dbedit5.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

if Dblookupcombobox4.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

if Dbedit7.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

if Dbedit1.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

if Dbedit8.Text ='' Then
Begin
Table1.Cancel;
Table1.First;
Showmessage('OPERAO CANCELADA  CADASTRE NOVAMENTE');
end;

Table1.Insert;
Table1.First;
Self.MaskEdit1.Text:='';
Self.MaskEdit2.Text:='';
Dblookupcombobox3.Enabled:=False;
Dbedit3.Enabled:=False;
Maskedit1.Enabled:=False;
Dblookupcombobox4.Enabled:=False;
Dbedit7.Enabled:=False;
Dbedit1.Enabled:=False;
Maskedit2.Enabled:=False;
Dbedit8.Enabled:=False;
Bitbtn5.Enabled:=True;
Bitbtn5.SetFocus;

Query1.Close;
Query1.Sql.Clear;
Query1.SQL.Add('Select COD, DESCRIO, PRODUTO, DEBITO, DT_VENC From TCondominio Where TIPO = "DEBITO" AND TITULO = "ABERTO" Order by DT_VENC');
Query1. Prepare;
Query1.Open;
Dbgrid1.columns[0].visible:=false; {aqui a 2 coluna ser oculta}

s:= 0;
while not query1.eof do begin

s:= s+query1.fieldbyname ('DEBITO').asfloat;
query1.next;
query1.Open;
end;

label1.caption:=floattostr(s);
query1.enablecontrols;
Query1.First;

bio:= StrToFloat(label1.caption);
label1.caption:= FormatFloat('#,0.00', bio);


end;
procedure TCondoDesp.BitBtn7Click(Sender: TObject);
begin

Table1.Cancel;
Table1.First;
Self.MaskEdit1.Text:='';
Self.MaskEdit2.Text:='';

Dblookupcombobox3.Enabled:=False;
Dbedit3.Enabled:=False;
Maskedit1.Enabled:=False;
Dblookupcombobox4.Enabled:=False;
Dbedit7.Enabled:=False;
Dbedit1.Enabled:=False;
Maskedit2.Enabled:=False;
Dbedit8.Enabled:=False;
Bitbtn5.Enabled:=True;
Bitbtn5.Setfocus;
end;

procedure TCondoDesp.DBEdit7KeyPress(Sender: TObject; var Key: Char);
begin
  Key := AnsiUpperCase(Key)[1];
end;

procedure TCondoDesp.BitBtn8Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Self.MaskEdit1.Text:='';
Self.MaskEdit2.Text:='';

Dblookupcombobox3.Enabled:=False;
Dbedit3.Enabled:=False;
Maskedit1.Enabled:=False;
Dblookupcombobox4.Enabled:=False;
Dbedit7.Enabled:=False;
Dbedit1.Enabled:=False;
Maskedit2.Enabled:=False;
Dbedit8.Enabled:=False;
Bitbtn5.Enabled:=True;
Condodesp.close;
Condominio.Show;

end;

procedure TCondoDesp.BitBtn11Click(Sender: TObject);
begin
condominio.Show;
end;

procedure TCondoDesp.FormClose(Sender: TObject; var Action: TCloseAction);
begin
table1.cancel;
table2.cancel;
table3.cancel;
table4.cancel;

end;

end.



procedure TCondoDesp.BitBtn7Click(Sender: TObject);
begin
Table1.Cancel;
Table1.First;
Dblookupcombobox3.Enabled:=False;
Dbedit3.Enabled:=False;
Maskedit1.Enabled:=False;
Dblookupcombobox4.Enabled:=False;
Dbedit7.Enabled:=False;
Dbedit1.Enabled:=False;
Maskedit2.Enabled:=False;
Dbedit8.Enabled:=False;
Bitbtn5.Enabled:=True;
Bitbtn5.SetFocus;
end

Else

Table1.Cancle;
Table1.First;
Self.MaskEdit1.Text:='';
Self.MaskEdit2.Text:='';

Dblookupcombobox3.Enabled:=False;
Dbedit3.Enabled:=False;
Maskedit1.Enabled:=False;
Dblookupcombobox4.Enabled:=False;
Dbedit7.Enabled:=False;
Dbedit1.Enabled:=False;
Maskedit2.Enabled:=False;
Dbedit8.Enabled:=False;
Bitbtn5.Enabled:=True;
Bitbtn5.Setfocus;}
end;
end.
